#ifndef _FLATDATA_H
#define _FLATDATA_H

#define MAXDATASTR 31

struct tagFLATDATA{
  char Name[MAXDATASTR];
	char Company[MAXDATASTR];
	char Address1[MAXDATASTR];
	char Address2[MAXDATASTR];
	char City[21];
	char State[3];
	char Zip[13];
	char Country[16];
  char Invoice[8];
	char Product[13];
	char PriceDollar[5];
	char PriceCent[3];
	char SoldVersion[5];
	char UpdateVersion[5];
	char Day[3];
	char Month[3];
	char Year[5];
  BOOL Used;
};

struct tagTOTMONEY{
	long TotalDollar;
	int  TotalCent;
};

typedef enum{DoNothing, DoNew, DoEdit, DoView, DoDelete,
						 DoPrint, DoList} WORKTYPE;
typedef enum {NoDateFormat, MonDayYear,
							DayMonYear, YearMonDay, MonYearDay,
							DayYearMon, YearDayMon} DATEFORMATTYPE;


DATEFORMATTYPE SetDateFormat(void);
DATEFORMATTYPE GetDateFormat (void);
char *GetDateMark (void);
BOOL HasDayZero (void);
BOOL HasMonthZero (void);
BOOL HasCentury (void);
void SetInstance(HINSTANCE);
HINSTANCE GetInstance(void);
void SetWork(WORKTYPE);
WORKTYPE GetWork(void);
void NulData(void);
void GetInvoice(LPSTR);
void GetName(LPSTR);
void GetCompany(LPSTR);
void GetAddress1(LPSTR);
void GetAddress2(LPSTR);
void GetCity(LPSTR);
void GetState(LPSTR);
void GetZip(LPSTR);
void GetCountry(LPSTR);
void GetProduct(LPSTR);
void GetPriceDollar(LPSTR);
void GetPriceCent(LPSTR);
void GetSoldVersion(LPSTR);
void GetUpdateVersion(LPSTR);
void GetDay(LPSTR);
void GetMonth(LPSTR);
void GetYear(LPSTR);
void SetInvoice(LPCSTR);
void SetName(LPCSTR);
void SetCompany(LPCSTR);
void SetAddress1(LPCSTR);
void SetAddress2(LPCSTR);
void SetCity(LPCSTR);
void SetState(LPCSTR);
void SetZip(LPCSTR);
void SetCountry(LPCSTR);
void SetProduct(LPCSTR);
void SetDollar(LPCSTR);
void SetCent(LPCSTR);
void SetDay(LPCSTR);
void SetMonth(LPCSTR);
void SetYear(LPCSTR);
void SetSoldVersion(LPCSTR);
void SetUpdateVersion(LPCSTR);
void NulTotalMoney(void);
void SetPrice(LPCSTR);
void AddDollar(LPCSTR);
void AddCent(LPCSTR);
void GetFlatData(struct tagFLATDATA *);
void SetFlatData(struct tagFLATDATA *);
BOOL GetUsed(void);
void SetUsed(BOOL);
void SetInvoice (LPCSTR);
void GetInvoice(LPSTR);
void GetTotalMoney(LPSTR);

#endif